// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Collections;
using System.Web.UI.WebControls;
using CommunityServer.Components;
using CommunityServer.Controls;
using CommunityServer.Galleries.Components;

namespace CommunityServer.Galleries.Controls
{
	/// <summary>
	/// Summary description for TagCloudContainer.
	/// </summary>
	public class TagCloudContainer : GalleryThemedControl
	{
		protected override void AttachChildControls() { }

		protected override void OnLoad(System.EventArgs e)
		{
			base.OnLoad (e);

			this.DataBind();
		}

		public override void DataBind()
		{
			if (this.CurrentGallery.CategorizationType != CategorizationType.Tag)
			{
				this.Visible = false;
				return;
			}

			base.DataBind ();
		}

	}
}
